%define with_paxtest 0

Summary: PaX control program and regression tests
Name: paxctl
Version: 0.5
Release: alt1
License: GPL
Group: System/Kernel and hardware
Packager: Michail Yakushin <silicium@altlinux.ru>
Url: http://pax.grsecurity.net
Source: %name-%version.tar
Source1: paxtest-0.9.5.tar
Patch1: paxctl-Makefile-owner.patch
Patch2: paxtest-chdir-libexec.patch

%description
New PaX control program when you use the PT_PAX_FLAGS marking
available in PaX patches after 2004.02.04. Also contains the
PaX regression test suite

%prep
%setup -q
tar xf $RPM_SOURCE_DIR/paxtest-0.9.5.tar
%patch1 -p1

%if %with_paxtest
%patch2 -p0
%endif

%build
make %_smp_mflags

%if %with_paxtest
cd paxtest-0.9.5
export RUNDIR=%_libexecdir/paxtest
make %_smp_mflags generic
%endif

%install
make %_smp_mflags DESTDIR=%buildroot install

mkdir -p %buildroot%_libexecdir/paxtest \
		%buildroot/sbin

%if %with_paxtest
cd paxtest-0.9.5

# install tests
for i in anonmap execbss execdata execheap execstack mprotanon mprotbss mprotdata mprotheap mprotshbss mprotshdata mprotstack randamap randheap1 randheap2 randmain1 randmain2 randshlib randstack1 randstack2 rettofunc1 rettofunc1x rettofunc2 rettofunc2x shlibbss shlibdata writetext; do
	install -m 0755 $i %buildroot%_libexecdir/paxtest/
done

# isntall utils
for i in getamap getheap1 getheap2 getmain1 getmain2 getshlib getstack1 getstack2; do
    install -m 0755 $i %buildroot%_libexecdir/paxtest/
done

# install libs
for i in shlibtest.so shlibtest2.so; do
    install -m 0755 $i %buildroot%_libexecdir/paxtest/
done

# install wrapper script
install -m 0755 paxtest %buildroot/sbin/
cd ..
%endif

%files
/sbin/paxctl
%_mandir/man*/*
%if %with_paxtest
/sbin/paxtest
%dir
%_libexecdir/paxtest/
%endif

%changelog
* Thu Jun 04 2009 Michail Yakushin <silicium@altlinux.ru> 0.5-alt1
- Initial
